trabis - 2009-07-04

Database changes required. This can't go on 2.3.x. I moved ticket to feature request for 2.4.